package com.mx.dla.dda.carga.suscriptor.dtos;

import java.io.Serializable;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.mx.dla.global.dtos.BaseDTO;


public class CargaSuscripcionDTO extends BaseDTO implements Serializable,Comparable{

	private static final long serialVersionUID = 1L;
 
	private Long idCarga;
	private String region;
	private String empresa;
	private String mes1;
	private String mes2;
	private String mes3;
	private String mes4;
	private String mes5;
	private String mesActual;
	private String fecha;
	private Long idEmpresa;
	
	public String getRegion() {
		return region;
	}
	public void setRegion(String region) {
		this.region = region;
	}
	public String getEmpresa() {
		return empresa;
	}
	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}
	public String getMes1() {
		return mes1;
	}
	public void setMes1(String mes1) {
		this.mes1 = mes1;
	}
	public String getMes2() {
		return mes2;
	}
	public void setMes2(String mes2) {
		this.mes2 = mes2;
	}
	public String getMes3() {
		return mes3;
	}
	public void setMes3(String mes3) {
		this.mes3 = mes3;
	}
	public String getMes4() {
		return mes4;
	}
	public void setMes4(String mes4) {
		this.mes4 = mes4;
	}
	public String getMes5() {
		return mes5;
	}
	public void setMes5(String mes5) {
		this.mes5 = mes5;
	}
	public String getMesActual() {
		return mesActual;
	}
	public void setMesActual(String mesActual) {
		this.mesActual = mesActual;
	}
	public Long getIdCarga() {
		return idCarga;
	}
	public void setIdCarga(Long idCarga) {
		this.idCarga = idCarga;
	}
	public Long getIdEmpresa() {
		return idEmpresa;
	}
	public void setIdEmpresa(Long idEmpresa) {
		this.idEmpresa = idEmpresa;
	}
	public String getFecha() {
		return fecha;
	}
	public void setFecha(String fecha) {
		this.fecha = fecha;
	}	

	@Override
	public String toString() {
		return "CargaSuscripcionDTO ["+ToStringBuilder.reflectionToString(this)+"]";
	}
	@Override
	public int compareTo(Object o) {
		
		CargaSuscripcionDTO suscripcion = (CargaSuscripcionDTO)o;        
	        
	        if(this.region.compareToIgnoreCase(suscripcion.region) == 0) {            
	         
	        } else {
	            return this.region.compareToIgnoreCase(suscripcion.region);
	        } 
		return 0;
	}

}
